#include <bitset> // 用于使用bitset
#include <iostream>

using namespace std;

int main()
{
    int x;
    x = 52;
    cout << "52 的二进制:" << bitset<8>(x) << endl; // bitset<8>用于2进制形式输出, 8表示8位
    cout << "52 的八进制:" << oct << x << endl;     // oct 用于8进制形式输出
    cout << "52 的十六进制:" << hex << x << endl;   // hex 用于16进制形式输出
}
